﻿using System;
using System.Linq;
using System.Windows.Forms;

namespace FlexChart_RoundLimits_Animation_Test
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
            flexChart1.AnimationSettings = C1.Chart.AnimationSettings.All;
            flexChart1.AnimationUpdate.Easing = C1.Chart.Easing.Linear;
            flexChart1.AnimationUpdate.Duration = 500;
            flexChart1.AnimationLoad.Type = C1.Chart.AnimationType.Series;

            var rnd = new Random();
            flexChart1.Series.Add(new C1.Win.Chart.Series()
            {
                Name = "series1",
                DataSource = Enumerable.Range(0, 12).Select(q =>
                {
                    return new
                    {
                        Date = DateTime.Now.AddMonths(11 - q),
                        Value = rnd.NextDouble() * 200
                    };
                }),
                Binding = "Value"
            });
            flexChart1.Series.Add(new C1.Win.Chart.Series()
            {
                Name = "series2",
                DataSource = Enumerable.Range(0, 12).Select(q =>
                {
                    return new
                    {
                        Date = DateTime.Now.AddMonths(11 - q),
                        Value = rnd.NextDouble() * 200
                    };
                }),
                Binding = "Value"
            });
            flexChart1.Series.Add(new C1.Win.Chart.Series()
            {
                Name = "series3",
                DataSource = Enumerable.Range(0, 12).Select(q =>
                {
                    return new
                    {
                        Date = DateTime.Now.AddMonths(11 - q),
                        Value = rnd.NextDouble() * 200
                    };
                }),
                Binding = "Value"
            });
            flexChart1.ChartType = C1.Chart.ChartType.LineSymbols;
            flexChart1.BindingX = "Date";

            flexChart1.AxisY.RoundLimits = true;
            flexChart1.AxisY.AxisLine = true;
            flexChart1.Legend.Position = C1.Chart.Position.Bottom;

            flexChart1.AxisY.MajorUnit = 50;
            flexChart1.AxisY.Min = -100;

            flexChart1.AxisX.Format = "MM/yy";
        }

        private void Form1_Load(object sender, EventArgs e)
        {
        }
    }
}
